
package bg.unisofia.fmi.grosd.ns.impl;

import java.io.File;
import java.net.URL;

import bg.unisofia.fmi.grosd.ns.classloader.NodeServiceClassLoader;


/**
 * Internal unit of the Node Service kernel used for storing a configuration information
 * and for the initial configuration of the Node Service kernel on start. 
 *@author Shenol Yousouf
 */
public abstract class NodeServiceInternal {

  private static NodeServiceClassLoader loader;
  
  static void init() {
    loader = new NodeServiceClassLoader(new URL[] {});
  }
  
  /**
   * 
   * @return a <code>NodeServiceClassLoader</code> instance which is only one for the whole node
   */
  public static NodeServiceClassLoader getClassLoader() {
    return loader;
  }
  
  /**
   * 
   * @return Node Service work folder
   */
  public static File getNodeServiceWorkFolder() {
    // TODO: currently, this is hard-coded; think about reading it from a config file
    return new File("work");
  }
  
  /**
   * 
   * @return folder for storing the persistent tasks files
   */
  public static File getNSPersistentTasksFolder() {
    // TODO: currently, this is hard-coded; think about reading it from a config file
    return new File("services");
  }
}
