
package bg.unisofia.fmi.grosd.ns.listener.event;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.listener.event.NSTaskAbortedEvent;


/**
 * @see NSTaskAbortedEvent
 *@author Shenol Yousouf
 */
public class NSTaskAbortedEventImpl implements NSTaskAbortedEvent {
  
  private String errorMessage;
  private Exception[] exceptions;
  
  public NSTaskAbortedEventImpl (String message, Exception... exceptions) {
    this.errorMessage = message;
    if (exceptions != null) {
      this.exceptions = exceptions;
    } else {
      this.exceptions = new Exception[] {};
    }
  }

  public String getErrorMessage() throws RemoteException {
    return errorMessage;
  }

  public Exception[] getExceptions() throws RemoteException {
    return exceptions;
  }

}
