
package bg.unisofia.fmi.grosd.ns.listener.visitor;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import bg.unisofia.fmi.grosd.ns.listener.event.NSTaskAbortedEventImpl;
import bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskLifecycleListener;
import bg.unisofia.fmi.grosd.ns.remote.listener.event.NSTaskAbortedEvent;
import bg.unisofia.fmi.grosd.ns.remote.listener.visitor.NSListenerVisitor;
import bg.unisofia.fmi.grosd.ns.remote.listener.visitor.adapter.NSListenerVisitorAdapter;


/**
 * Visitor for dispatching <code>NSTaskAbortedEvent</code> instances to registered task listeners.
 * @see NSListenerVisitor
 * @see NSListenerVisitorAdapter
 *@author Shenol Yousouf
 */
public class NSTaskAbortedVisitor extends NSListenerVisitorAdapter {
  
  private NSTaskAbortedEventImpl event;
  
  public NSTaskAbortedVisitor(NSTaskAbortedEventImpl event) {
    this.event = event;
  }

  /* (non-Javadoc)
   * @see bg.unisofia.fmi.grosd.ns.remote.listener.visitor.adapter.NSListenerVisitorAdapter#visit(bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskLifecycleListener)
   */
  @Override
  public void visit(NSTaskLifecycleListener listener) throws RemoteException {
    NSTaskAbortedEvent remoteEvent = (NSTaskAbortedEvent) UnicastRemoteObject.exportObject(this.event, 0);
    listener.taskAborted(remoteEvent);
  }

}
