
package bg.unisofia.fmi.grosd.ns.listener.visitor;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskLifecycleListener;
import bg.unisofia.fmi.grosd.ns.remote.listener.visitor.NSListenerVisitor;
import bg.unisofia.fmi.grosd.ns.remote.listener.visitor.adapter.NSListenerVisitorAdapter;
import bg.unisofia.fmi.grosd.ns.remote.task.result.NSTaskResult;


/**
 * Visitor for dispatching <code>NSTaskResult</code> instances to registered task listeners.
 * @see NSListenerVisitor
 * @see NSListenerVisitorAdapter
 *@author Shenol Yousouf
 */
public class NSTaskFinishedVisitor extends NSListenerVisitorAdapter {
  
  private NSTaskResult result;
  
  public NSTaskFinishedVisitor (NSTaskResult result) {
    this.result = result;
  }

  /* (non-Javadoc)
   * @see bg.unisofia.fmi.grosd.ns.remote.listener.visitor.adapter.NSListenerVisitorAdapter#visit(bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskLifecycleListener)
   */
  @Override
  public void visit(NSTaskLifecycleListener listener) throws RemoteException {
    NSTaskResult remote = (NSTaskResult) UnicastRemoteObject.exportObject(result, 0);
    listener.taskFinished(remote);
  }
}
