
package bg.unisofia.fmi.grosd.ns.peristent_task.impl.serializables;

import java.io.Serializable;


/**
 * Local Serilizable version of <code>NSTaskMethodPrototype</code>, used for constructing a persistent task.
 *@author Shenol Yousouf
 */
public class NSTaskMethodPrototypeSerializable implements Serializable {

  private String methodName;
  private String[] parameterClassnames;

  NSTaskMethodPrototypeSerializable (String methodName, String[] parameterClassnames) {
    this.methodName = methodName;
    this.parameterClassnames = parameterClassnames;
  }
  
  /**
   * 
   * @return method name
   */
  public String getMethodName() {
    return methodName;
  }

  /**
   * 
   * @return class names of method parameters
   */
  public String[] getParameterClassnames() {
    return parameterClassnames;
  }  
  
}
