
package bg.unisofia.fmi.grosd.ns.result;

import java.io.Serializable;
import java.net.URL;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.task.result.NSTaskResult;


/**
 * A dummy implementation of <code>NSTaskResult</code> which is required for the rare cases
 * when listeners has to be notified about a task finish but no actual result was produced.
 * For example, such result is used for notifying the end of a persistent task upload.
 * @see NSTaskResult
 *@author Shenol Yousouf
 */
public class NullNSTaskResultImpl implements NSTaskResult {

  public String getComment() throws RemoteException {
    return null;
  }

  public Serializable getResult() throws RemoteException {
    return null;
  }

  public byte getResultAsByte() throws RemoteException {
    return 0;
  }

  public char getResultAsChar() throws RemoteException {
    return 0;
  }

  public double getResultAsDouble() throws RemoteException {
    return 0;
  }

  public URL[] getResultAsFileURLs() throws RemoteException {
    return null;
  }

  public float getResultAsFloat() throws RemoteException {
    return 0;
  }

  public int getResultAsInt() throws RemoteException {
    return 0;
  }

  public long getResultAsLong() throws RemoteException {
    return 0;
  }

  public short getResultAsShort() throws RemoteException {
    return 0;
  }

  public boolean getReultAsBoolean() throws RemoteException {
    return false;
  }

}
