
package bg.unisofia.fmi.grosd.ns.api.task.args.impl;

import java.io.File;
import java.net.MalformedURLException;
import java.net.URISyntaxException;
import java.net.URL;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.adapter.NSExportAbstractAdapter;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.FileArgument;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.visitor.NSTaskArgumentVisitor;


/**
 * @see FileArgument
 *@author Shenol Yousouf
 */
public class FileArgumentImpl extends NSExportAbstractAdapter implements FileArgument {
  
  private URL sourceFilePath;
  private String destination;
  private boolean local;
  
  FileArgumentImpl (URL originalFile, String destinaiton, boolean local) {
    this.sourceFilePath = originalFile;
    this.destination = destinaiton;
    this.local = local;
  }
  
  FileArgumentImpl(URL originalFile, boolean local) throws URISyntaxException {
    this.sourceFilePath = originalFile;
    this.destination = (new File(originalFile.toURI())).getName();
    this.local = local;
  }
  
  FileArgumentImpl (File file, String destination, boolean local) throws MalformedURLException {
    this(file.toURI().toURL(), destination, local);
  }
  
  FileArgumentImpl (File file, boolean local) throws MalformedURLException {
    this(file.toURI().toURL(), file.getName(), local);
  }

  public URL getSourceFileURL() throws RemoteException {
    return sourceFilePath;
  }

  public boolean isLocal() throws RemoteException {
    return local;
  }

  public String getRelativeDest() throws RemoteException {
    return destination;
  }

  public void accept(NSTaskArgumentVisitor visitor) throws RemoteException {
    visitor.visit(this);
  }

}
