
package bg.unisofia.fmi.grosd.ns.api.task.args.impl;

import java.io.Serializable;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.adapter.NSExportAbstractAdapter;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.SerializableArgument;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.visitor.NSTaskArgumentVisitor;


/**
 * @see SerializableArgument
 *@author Shenol Yousouf
 */
public class SerializableArgumentImpl extends NSExportAbstractAdapter implements SerializableArgument {
  
  private String formalParameterClassname;
  private Serializable ser;

  SerializableArgumentImpl (String formalParameterClassname, Serializable ser) {
    this.formalParameterClassname = formalParameterClassname;
    this.ser = ser;
  }
  
  SerializableArgumentImpl (Serializable ser) {
    this(ser.getClass().getName(), ser);
  }
  
  public Serializable getValue() throws RemoteException {
    return ser;
  }

  public String getFormalParameterClassname() throws RemoteException {
    return formalParameterClassname;
  }

  public void accept(NSTaskArgumentVisitor visitor) throws RemoteException {
    visitor.visit(this);
  }

}
