
package bg.unisofia.fmi.grosd.ns.api.task.method.impl;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.api.util.NodeServiceAPIUtilities;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.NSTaskArgument;
import bg.unisofia.fmi.grosd.ns.remote.task.method.NSTaskMethod;
import bg.unisofia.fmi.grosd.ns.remote.task.method.NSTaskMethodPrototype;


/**
 * @see NSTaskMethod
 * @see NSTaskMethodPrototype
 * @author Shenol Yousouf
 */
public class NSTaskMethodImpl extends NSTaskMethodPrototypeImpl implements NSTaskMethod {

  private NSTaskArgument[] args;

  public NSTaskArgument[] getArgs() throws RemoteException {
    args = NodeServiceAPIUtilities.getArgsAsRemote(args);
    return args;
  }
  
  NSTaskMethodImpl(String methodName, String[] parameterClassnames, NSTaskArgument[] args) {
    super(methodName, parameterClassnames);
    
    if (args != null) {
      this.args = args;
    } else {
      this.args = new NSTaskArgument[] {};
    }
  }

  NSTaskMethodImpl(String methodName, NSTaskArgument[] args) {
    this(methodName, null, args);
  }
  
  NSTaskMethodImpl (String methodName) {
    this(methodName, null);
  }

}
