
package bg.unisofia.fmi.grosd.ns.api.task.method.impl;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.adapter.NSExportAbstractAdapter;
import bg.unisofia.fmi.grosd.ns.remote.task.method.NSTaskMethodPrototype;


/**
 * @see NSTaskMethodPrototype
 *@author Shenol Yousouf
 */
public class NSTaskMethodPrototypeImpl extends NSExportAbstractAdapter implements NSTaskMethodPrototype {
  
  private String methodName;
  private String[] parameterClassnames;
  
  NSTaskMethodPrototypeImpl(String methodName, String[] parameterClassnames) {

    this.methodName = methodName;
    
    if (parameterClassnames != null) { 
      this.parameterClassnames = parameterClassnames;
    } else {
      this.parameterClassnames = new String[] {};
    }
  }
  
   NSTaskMethodPrototypeImpl(String methodName) {
    this.methodName = methodName;
    this.parameterClassnames = new String[] {};
  }

  public String getMethodName() throws RemoteException {
    return methodName;
  }
  
  public String[] getParameterClassnames() throws RemoteException {
    return parameterClassnames;
  }
}
