
package bg.unisofia.fmi.grosd.ns.api.task.result.locator;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import bg.unisofia.fmi.grosd.ns.remote.adapter.NSExportAbstractAdapter;
import bg.unisofia.fmi.grosd.ns.remote.task.result.locator.NSFileFilter;
import bg.unisofia.fmi.grosd.ns.remote.task.result.locator.NSFileResultLocator;


/**
 * @see NSFileResultLocator
 *@author Shenol Yousouf
 */
public class NSFileResultLocatorImpl extends NSExportAbstractAdapter implements NSFileResultLocator {
  
  private NSFileFilter fileFilter;
  private String[] folderNames;
  private boolean searchInSubfolders;
  
  NSFileResultLocatorImpl (String[] folderNames, NSFileFilter fileFilter, boolean searchInSubfolders) {
    this.folderNames = folderNames;
    this.fileFilter = fileFilter;
    this.searchInSubfolders = searchInSubfolders;
  }
  
  NSFileResultLocatorImpl (String[] folderNames, NSFileFilter fileFilter) {
    this(folderNames, fileFilter, false);
  }
  
  NSFileResultLocatorImpl (NSFileFilter fileFilter) {
    this(null, fileFilter, false);
  }
  
  public NSFileFilter getFileFilter() throws RemoteException {
    if (fileFilter.isExported() == false) {
      fileFilter =(NSFileFilter)  UnicastRemoteObject.exportObject(fileFilter, 0);
      fileFilter.setExported();
    }
    return fileFilter;
  }

  public String[] getFolderNamesForSearch() throws RemoteException {
    return folderNames;
  }

  public boolean searchInSubfolders() throws RemoteException {
    return searchInSubfolders;
  }

}
