
package bg.unisofia.fmi.grosd.ns.api.task.targetclasses.impl;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.api.util.NodeServiceAPIUtilities;
import bg.unisofia.fmi.grosd.ns.remote.adapter.NSExportAbstractAdapter;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.NSTaskArgument;
import bg.unisofia.fmi.grosd.ns.remote.task.targetclass.NSTaskTargetClass;


/**
 * @see NSTaskTargetClass
 *@author Shenol Yousouf
 */
public class NSTaskTargetClassImpl extends NSExportAbstractAdapter implements NSTaskTargetClass {
  
  private String className;
  private String[] argClassnames;
  private NSTaskArgument[] initArgs; 

  NSTaskTargetClassImpl (String className, String[] argClassnames, NSTaskArgument[] initArgs) {
   this. className = className;
   
   if (argClassnames != null) {
     this.argClassnames = argClassnames;
   } else {
     this.argClassnames = new String[] {};
   }
   
   if (initArgs != null) {
     this.initArgs = initArgs;
   } else {
     this.initArgs = new NSTaskArgument[] {};
   }
  }
  
  NSTaskTargetClassImpl (String className, NSTaskArgument[] initArgs) {
    this(className, null, initArgs);
  }

  public String getClassName() throws RemoteException {
    return className;
  }

  public NSTaskArgument[] getInitArgs() throws RemoteException {
    this.initArgs = NodeServiceAPIUtilities.getArgsAsRemote(initArgs);
    return initArgs;
  }

  public String[] getParameterClassnames() throws RemoteException {
    return argClassnames;
  }

}
