package bg.unisofia.fmi.grosd.ns.enums;


/**
 * Class for enumerating all possible states which a task runs through during execution on a node.
 *@author Shenol Yousouf
 */
public enum NSTaskActionState {
  
  // task is still not assigned to a definite Node Service
  UNSCHEDULED("UNSCHEDULED"),
  // task is assigned to a definite Node Service
  SCHEDULED("SCHEDULED"),
  // task is uploaded to a Node Service and wait for execution
  WAITING("WAITING"),
  // task execution is started
  STARTED("STARTED"),
  // task execution is stopped on client request
  STOPPED("STOPPED"),
  // indicates an abnormal stop of task because of an error
  ABORTED("ABORTED"),
  // task has finished successfully
  FINISHED("FINISHED");
  
  private String actionStateName;
  
  NSTaskActionState(String name) {
    this.actionStateName = name;
  }
  
  /**
   * Get String representation of task state.
   */
  public String toString() {
    return actionStateName;
  }
}
