
package bg.unisofia.fmi.grosd.ns.enums;


/**
 * Enumeration class for identifying all sorts of tasks that Node Service officially supports.
 * Every new task type should be declared with an identifier in this class. 
 *@author Shenol Yousouf
 */
public enum NodeServiceTaskType {
     
      //  task for executing  methods of Java applications.
      NS_JAVA_GENERIC_TASK("Node Service Java Task"),
      // task for uploading a persistent service to a node
      NS_JAVA_PERSISTENT_TASK_UPLOAD("Upload of Node Service Java Persistent Task"),
      // task for invoking an already uploaded persistent service on a node with the proper input
      NS_JAVA_PERSISTENT_TASK_INVOCATION("Invocation of Node Service Java Persistent Task");
      
      private String strRepresentaion;
      
      NodeServiceTaskType (String str) {
        strRepresentaion = str;
      }

      /* *
       * Get String representation of task type.
       */
      @Override
      public String toString() {
        return strRepresentaion;
      }     
      
}
