
package bg.unisofia.fmi.grosd.ns.remote;

import java.net.URL;
import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.util.NSOutputStreamWrapper;


/**
 * Callback class for communicating with the NS API as the  direct Node Service client.
 *@author Shenol Yousouf
 */
public interface NodeServiceClientCallback extends Remote {

  /**
   * Copy file from the host of the API to the execution node.
   * @param wrapper remote wrapper of a <code>java.io.OutputStream</code>, working on the node; used as a callback argument for the NS API
   * @param clientFile  URL to the file for transfer which is local to the API
   * @throws RemoteException
   */
  public void copyFile(NSOutputStreamWrapper wrapper, URL clientFile) throws RemoteException;
  
  /**
   * Get a remote <code>java.io.OutputStream</code> wrapper for writing to the NS API host.
   * @param fileName    name under which the file has to be written on API host
   * @return    a <code>java.io.OutputStream</code> wrapper for writing to the NS API host
   * @throws RemoteException
   */
  public NSOutputStreamWrapper getOutputStream(String fileName) throws RemoteException;
 
}
