
package bg.unisofia.fmi.grosd.ns.remote.listener;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.listener.event.ActionStateChangedEvent;


/**
 * Listener interface for remote monitoring of the status of task execution on node.
 *@author Shenol Yousouf
 */
public interface NSActionStateListener extends NSTaskListener {
  
  /**
   * Called by Node Service for notifying the monitors about change in the task action state
   * @param event   object containing information about generated event
   * @throws RemoteException
   */
  public void actionStateChanged(ActionStateChangedEvent event) throws RemoteException;
}
