
package bg.unisofia.fmi.grosd.ns.remote.listener;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.listener.event.NSTaskAbortedEvent;
import bg.unisofia.fmi.grosd.ns.remote.task.result.NSTaskResult;


/**
 * Listener interface for remote monitoring of the most important events in a task lifecycle.
 *@author Shenol Yousouf
 */
public interface NSTaskLifecycleListener extends NSTaskListener {
  
  /**
   * Called by Node Service for notifying the monitors about the result of execution
   * @param result  the result object generated by the task  execution
   * @throws RemoteException
   */
  public void taskFinished(NSTaskResult result) throws RemoteException;
  
  /**
   * Called by Node Service for notifying the monitors about failed task execution
   * @param event   information object indicating the reason for failure
   * @throws RemoteException
   */
  public void taskAborted(NSTaskAbortedEvent event) throws RemoteException;
}
