
package bg.unisofia.fmi.grosd.ns.remote.listener;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.NodeServiceExportableObject;
import bg.unisofia.fmi.grosd.ns.remote.listener.visitor.NSListenerVisitor;


/**
 * General-purpose listener interface used for monitoring certain events in task execution on node.
 *  The subinterfaces of this interface define for what kinds of events the monitors can be registered.
 *@author Shenol Yousouf
 */
public interface NSTaskListener extends Remote, Serializable, NodeServiceExportableObject {
  
  /**
   * Accept method in the Visitor patttern used for processing of all registered listener implementors.
   * @param visitor visitor object for processing of the registered listener
   * @throws RemoteException
   */
  public void accept(NSListenerVisitor visitor) throws RemoteException;
}
