
package bg.unisofia.fmi.grosd.ns.remote.listener.adapter;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.adapter.NSExportAbstractAdapter;
import bg.unisofia.fmi.grosd.ns.remote.listener.NSActionStateListener;
import bg.unisofia.fmi.grosd.ns.remote.listener.visitor.NSListenerVisitor;


/**
 * Adapter class for <code>bg.unisofia.fmi.grosd.ns.remote.listener.NSActionStateListener</code> interface.
 * The Node Service API clients that want to be notified for changes in task action state must extend this adapter.
 *@author Shenol Yousouf
 */
public abstract class NSActionStateAbstractListener extends NSExportAbstractAdapter implements NSActionStateListener {

  /* (non-Javadoc)
   * @see bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskListener#accept(bg.unisofia.fmi.grosd.ns.remote.listener.visitor.NSListenerVisitor)
   */
  public void accept(NSListenerVisitor visitor) throws RemoteException {
    visitor.visit(this);
  }

}
