
package bg.unisofia.fmi.grosd.ns.remote.listener.event;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.enums.NSTaskActionState;


/**
 * Event object with information about the change in task action state.
 *@author Shenol Yousouf
 */
public interface ActionStateChangedEvent extends Serializable, Remote {

  /**
   * @return old action state
   * @throws RemoteException
   */
  public NSTaskActionState getOldActionState() throws RemoteException;
  /**
   * @return new action state
   * @throws RemoteException
   */
  public NSTaskActionState getNewActionState() throws RemoteException;
  /**
   * @return comment about the circumstances of action state change
   * @throws RemoteException
   */
  public String getComment() throws RemoteException;
}
