
package bg.unisofia.fmi.grosd.ns.remote.listener.event;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;


/**
 * Event object with information about the failed task execution.
 *@author Shenol Yousouf
 */
public interface NSTaskAbortedEvent extends Remote, Serializable {

  /**
   * @return original message of the error with which the task has failed
   * @throws RemoteException
   */
  public String getErrorMessage() throws RemoteException;
  
  /**
   * @return all causing exceptions of task failure (usually, only one exception is collected)
   * @throws RemoteException
   */
  public Exception[] getExceptions() throws RemoteException;
}
