
package bg.unisofia.fmi.grosd.ns.remote.listener.visitor;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.listener.NSActionStateListener;
import bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskLifecycleListener;


/**
 * General visitor for processing all <code> bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskListener</code> subinterfaces.
 * When a new subinterface is defined, a new visit method for it has to be added.
 *@author Shenol Yousouf
 */
public interface NSListenerVisitor extends Serializable, Remote {

  /**
   * Process <code>bg.unisofia.fmi.grosd.ns.remote.listener.NSActionStateListener</code> instance.
   * @param listener listener for processing
   * @throws RemoteException
   */
  public void visit(NSActionStateListener listener) throws RemoteException;

  /**
   * Process <code>bg.unisofia.fmi.grosd.ns.remote.listener.NSTaskLifecycleListener</code> instance.
   * @param listener listener for processing
   * @throws RemoteException
   */
  public void visit(NSTaskLifecycleListener listener) throws RemoteException;
}
