
package bg.unisofia.fmi.grosd.ns.remote.task.arg;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.NodeServiceExportableObject;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.visitor.NSTaskArgumentVisitor;


/**
 * Root intetrface for obtaining the metadata about the arguments of the method which is target for execution.
 * Similarly to <code>bg.unisofia.fmi.grosd.ns.remote.task.NSTaskRemote</code>, this interface should never be directly implemented by a non-abstract class;
 * it should be only extended by subinterfaces that define new metatypes of method arguments. 
 *@author Shenol Yousouf
 */
public interface NSTaskArgument extends Remote, Serializable, NodeServiceExportableObject {

  /**
   * Accept method in the Visitor patttern used for processing of all <code>bg.unisofia.fmi.grosd.ns.remote.task.arg.NSTaskArgument</code> subtype instances.
   * @param visitor visitor object used for processing of all <code>bg.unisofia.fmi.grosd.ns.remote.task.arg.NSTaskArgument</code> subtype instances
   * @throws RemoteException
   */
public void accept (NSTaskArgumentVisitor visitor) throws RemoteException;
}
