
package bg.unisofia.fmi.grosd.ns.remote.task.arg.visitor;

import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.task.arg.FileArgument;
import bg.unisofia.fmi.grosd.ns.remote.task.arg.SerializableArgument;


/**
 * Visitor interface for processing instances of all subtypes of <code>bg.unisofia.fmi.grosd.ns.remote.task.arg.visitor.NSTaskArgument</code>/
 * For every new subtype, a separate <code>visit</code> is declared.
 *@author Shenol Yousouf
 */
public interface NSTaskArgumentVisitor extends Remote {

  public void visit (SerializableArgument arg) throws RemoteException;
  public void visit (FileArgument arg) throws RemoteException;
}
