
package bg.unisofia.fmi.grosd.ns.remote.task.method;

import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.task.arg.NSTaskArgument;


/**
 * The interface extends <code>bg.unisofia.fmi.grosd.ns.remote.task.method.NSTaskMethodPrototype</code>
 * by adding a method for obtaining the actual input arguments of the method which is target for execution.
 *@author Shenol Yousouf
 */
public interface NSTaskMethod extends NSTaskMethodPrototype {

  /**
   * @return a list of <code>bg.unisofia.fmi.grosd.ns.remote.task.arg.NSTaskArgument</code> instances which wrap actual method input arguments
   * @throws RemoteException
   */
  public NSTaskArgument[] getArgs() throws RemoteException;
}
