
package bg.unisofia.fmi.grosd.ns.remote.task.method;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.NodeServiceExportableObject;


/**
 * Interface for obtaining the metadata that identifies the method which is target for execution.
 *@author Shenol Yousouf
 */
public interface NSTaskMethodPrototype extends Remote, NodeServiceExportableObject, Serializable {

  /**
   * @return name of the method
   * @throws RemoteException
   */
  public String getMethodName() throws RemoteException;
  
  /**
   * @return list of classnames of method input arguments; NOTE that an empty or <code>null</code> list can be returned
   * and in this case the class names are obtained through the actual input argument values; however, in such cases, the same considerations about type resolution,
   * such as with defining <code>SerializableArgument</code> instances, apply here as well;
   * @see bg.unisofia.fmi.grosd.ns.remote.task.arg.SerializableArgument#getFormalParameterClassname()
   * @throws RemoteException
   */
  public String[] getParameterClassnames() throws RemoteException;
}
