
package bg.unisofia.fmi.grosd.ns.remote.task.result.locator;

import java.io.File;
import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

import bg.unisofia.fmi.grosd.ns.remote.NodeServiceExportableObject;


/**
 * Custom Node Service extension of <code>java.io.FileFilter</code>.
 * The interface is always implemented on the side of the NS API client who defines
 * which files he is interested in as a result of the task execution.
 *@author Shenol Yousouf
 */
public interface NSFileFilter extends Remote, Serializable, NodeServiceExportableObject {
  
  /**
   * Method for marking the file as required by the NS API client for returning the result from the task execution.
   * @param file    input file which is a potential result from the task execution
   * @return    if the input file will be treated as a result from the task execuiton and later transferred to NS API host
   * @throws RemoteException
   */
  public boolean accept (File file) throws RemoteException;
}
