
package bg.unisofia.fmi.grosd.ns.remote.util;

import java.net.URL;
import java.rmi.Remote;
import java.rmi.RemoteException;


/**
 * Wrapper type which to some extent immitates <code>java.io.OutputStream</code>
 * for writing bytes to remote host.
 *@author Shenol Yousouf
 */
public interface NSOutputStreamWrapper extends Remote {

  /**
   * Writes byte to remote host.
   * @param b   bytes to be written
   * @param length  actual number of bytes to be written, startitng from the beginning of the <code>b</code> array
   * @throws RemoteException
   */
  public void write(byte[] b, int length) throws RemoteException;
  
  /**
   * Closes the underlying <code>OutputStream</code>.
   * @throws RemoteException
   */
  public void close() throws RemoteException;
  
  /**
   * @return local URL to the file to be written
   * @throws RemoteException
   */
  public URL getLocalOutputURL() throws RemoteException;
}
